Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367773 - thin client ignores locale change
Summary: thin client ignores locale change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 12:38 UTC by Jan Cholasta
Modified: 2016-11-04 06:01 UTC (History)
4 users (show)

Fixed In Version: ipa-4.4.0-9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 06:01:24 UTC


Attachments (Terms of Use)
console.log (deleted)
2016-09-09 10:36 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Jan Cholasta 2016-08-17 12:38:17 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/6204

Steps to reproduce:
{{{
$ rm -fr ~/.cache/ipa
$ LC_ALL=uk_UA.utf8 ipa user-add --help
$ LC_ALL=en_GB.utf8 ipa user-add --help
}}}

Got:
Twice the Ukrainian version
{{{
Usage: ipa [global-options] user-add LOGIN [options]

Додати нового користувача.
Options:
  -h, --help            show this help message and exit
  --first=STR           Ім'я
  --last=STR            Прізвище
  --cn=STR              Повне ім’я
  --displayname=STR     Екранне ім'я
  --initials=STR        Ініціали
  --homedir=STR         Домашній каталог
  --gecos=STR           GECOS
  --shell=STR           Оболонка входу
  --principal=PRINCIPAL
                        Principal alias
  --principal-expiration=DATETIME
                        Завершення строку дії реєстраційного запису Kerberos
  --email=STR           Адреса ел. пошти
  --password            Надіслати запит щодо встановлення пароля користувача
  --random              Створити випадковий пароль для користувача
  --uid=INT             Ідентифікаційний номер користувача (система призначить
                        його, якщо не буде вказано)
  --gidnumber=INT       Ід. номер групи
  --street=STR          Вулиця і будинок
  --city=STR            Місто
  --state=STR           Область/провінція
  --postalcode=STR      Індекс
  --phone=STR           Номер телефону
  --mobile=STR          Номер мобільного телефону
  --pager=STR           Номер пейджера
  --fax=STR             Номер факсу
  --orgunit=STR         Підрозділ
  --title=STR           Посада
  --manager=STR         Керівник
  --carlicense=STR      Водійська ліцензія
  --sshpubkey=STR       Відкритий ключ SSH
  --user-auth-type=['password', 'radius', 'otp']
                        Типи підтримуваного розпізнавання користувачів
  --class=STR           Категорія вузлів (семантику цього атрибуту призначено
                        для локальної обробки)
  --radius=STR          Налаштування проксі RADIUS
  --radius-username=STR
                        Ім’я користувача проксі-сервера RADIUS
  --departmentnumber=STR
                        Номер відділу
  --employeenumber=STR  Номер працівника
  --employeetype=STR    Тип працівника
  --preferredlanguage=STR
                        Бажана мова
  --certificate=BYTES   Сертифікат користувача у кодуванні Base-64
  --setattr=STR         Встановити атрибут для пари назва/значення. Формат:
                        атрибут=значення. Для атрибутів з багатьма значенням
                        команда замінює вже вказані значення.
  --addattr=STR         Додати пару атрибут/значення. Формат:
                        атрибут=значення. Атрибут має бути частиною схеми.
  --noprivate           Не створювати закриту групу користувача
  --all                 Отримати і вивести всі атрибути з сервера. Стосується
                        лише виводу команд.
  --raw                 Вивести записи у формі, у якій вони зберігаються на
                        сервері. Стосується лише формату виведення даних.
  --no-members          Придушити обробку атрибутів участі.
Usage: ipa [global-options] user-add LOGIN [options]

Додати нового користувача.
Options:
  -h, --help            show this help message and exit
  --first=STR           Ім'я
  --last=STR            Прізвище
  --cn=STR              Повне ім’я
  --displayname=STR     Екранне ім'я
  --initials=STR        Ініціали
  --homedir=STR         Домашній каталог
  --gecos=STR           GECOS
  --shell=STR           Оболонка входу
  --principal=PRINCIPAL
                        Principal alias
  --principal-expiration=DATETIME
                        Завершення строку дії реєстраційного запису Kerberos
  --email=STR           Адреса ел. пошти
  --password            Надіслати запит щодо встановлення пароля користувача
  --random              Створити випадковий пароль для користувача
  --uid=INT             Ідентифікаційний номер користувача (система призначить
                        його, якщо не буде вказано)
  --gidnumber=INT       Ід. номер групи
  --street=STR          Вулиця і будинок
  --city=STR            Місто
  --state=STR           Область/провінція
  --postalcode=STR      Індекс
  --phone=STR           Номер телефону
  --mobile=STR          Номер мобільного телефону
  --pager=STR           Номер пейджера
  --fax=STR             Номер факсу
  --orgunit=STR         Підрозділ
  --title=STR           Посада
  --manager=STR         Керівник
  --carlicense=STR      Водійська ліцензія
  --sshpubkey=STR       Відкритий ключ SSH
  --user-auth-type=['password', 'radius', 'otp']
                        Типи підтримуваного розпізнавання користувачів
  --class=STR           Категорія вузлів (семантику цього атрибуту призначено
                        для локальної обробки)
  --radius=STR          Налаштування проксі RADIUS
  --radius-username=STR
                        Ім’я користувача проксі-сервера RADIUS
  --departmentnumber=STR
                        Номер відділу
  --employeenumber=STR  Номер працівника
  --employeetype=STR    Тип працівника
  --preferredlanguage=STR
                        Бажана мова
  --certificate=BYTES   Сертифікат користувача у кодуванні Base-64
  --setattr=STR         Встановити атрибут для пари назва/значення. Формат:
                        атрибут=значення. Для атрибутів з багатьма значенням
                        команда замінює вже вказані значення.
  --addattr=STR         Додати пару атрибут/значення. Формат:
                        атрибут=значення. Атрибут має бути частиною схеми.
  --noprivate           Не створювати закриту групу користувача
  --all                 Отримати і вивести всі атрибути з сервера. Стосується
                        лише виводу команд.
  --raw                 Вивести записи у формі, у якій вони зберігаються на
                        сервері. Стосується лише формату виведення даних.
  --no-members          Придушити обробку атрибутів участі.
}}}

Expected:
Ukrainian version followed be English version
{{{
Usage: ipa [global-options] user-add LOGIN [options]

Додати нового користувача.
Options:
  -h, --help            show this help message and exit
  --first=STR           Ім'я
  --last=STR            Прізвище
  --cn=STR              Повне ім’я
  --displayname=STR     Екранне ім'я
  --initials=STR        Ініціали
  --homedir=STR         Домашній каталог
  --gecos=STR           GECOS
  --shell=STR           Оболонка входу
  --principal=PRINCIPAL
                        Principal alias
  --principal-expiration=DATETIME
                        Завершення строку дії реєстраційного запису Kerberos
  --email=STR           Адреса ел. пошти
  --password            Надіслати запит щодо встановлення пароля користувача
  --random              Створити випадковий пароль для користувача
  --uid=INT             Ідентифікаційний номер користувача (система призначить
                        його, якщо не буде вказано)
  --gidnumber=INT       Ід. номер групи
  --street=STR          Вулиця і будинок
  --city=STR            Місто
  --state=STR           Область/провінція
  --postalcode=STR      Індекс
  --phone=STR           Номер телефону
  --mobile=STR          Номер мобільного телефону
  --pager=STR           Номер пейджера
  --fax=STR             Номер факсу
  --orgunit=STR         Підрозділ
  --title=STR           Посада
  --manager=STR         Керівник
  --carlicense=STR      Водійська ліцензія
  --sshpubkey=STR       Відкритий ключ SSH
  --user-auth-type=['password', 'radius', 'otp']
                        Типи підтримуваного розпізнавання користувачів
  --class=STR           Категорія вузлів (семантику цього атрибуту призначено
                        для локальної обробки)
  --radius=STR          Налаштування проксі RADIUS
  --radius-username=STR
                        Ім’я користувача проксі-сервера RADIUS
  --departmentnumber=STR
                        Номер відділу
  --employeenumber=STR  Номер працівника
  --employeetype=STR    Тип працівника
  --preferredlanguage=STR
                        Бажана мова
  --certificate=BYTES   Сертифікат користувача у кодуванні Base-64
  --setattr=STR         Встановити атрибут для пари назва/значення. Формат:
                        атрибут=значення. Для атрибутів з багатьма значенням
                        команда замінює вже вказані значення.
  --addattr=STR         Додати пару атрибут/значення. Формат:
                        атрибут=значення. Атрибут має бути частиною схеми.
  --noprivate           Не створювати закриту групу користувача
  --all                 Отримати і вивести всі атрибути з сервера. Стосується
                        лише виводу команд.
  --raw                 Вивести записи у формі, у якій вони зберігаються на
                        сервері. Стосується лише формату виведення даних.
  --no-members          Придушити обробку атрибутів участі.
Usage: ipa [global-options] user-add LOGIN [options]

Add a new user.
Options:
  -h, --help            show this help message and exit
  --first=STR           First name
  --last=STR            Last name
  --cn=STR              Full name
  --displayname=STR     Display name
  --initials=STR        Initials
  --homedir=STR         Home directory
  --gecos=STR           GECOS
  --shell=STR           Login shell
  --principal=PRINCIPAL
                        Principal alias
  --principal-expiration=DATETIME
                        Kerberos principal expiration
  --email=STR           Email address
  --password            Prompt to set the user password
  --random              Generate a random user password
  --uid=INT             User ID Number (system will assign one if not
                        provided)
  --gidnumber=INT       Group ID Number
  --street=STR          Street address
  --city=STR            City
  --state=STR           State/Province
  --postalcode=STR      ZIP
  --phone=STR           Telephone Number
  --mobile=STR          Mobile Telephone Number
  --pager=STR           Pager Number
  --fax=STR             Fax Number
  --orgunit=STR         Org. Unit
  --title=STR           Job Title
  --manager=STR         Manager
  --carlicense=STR      Car License
  --sshpubkey=STR       SSH public key
  --user-auth-type=['password', 'radius', 'otp']
                        Types of supported user authentication
  --class=STR           User category (semantics placed on this attribute are
                        for local interpretation)
  --radius=STR          RADIUS proxy configuration
  --radius-username=STR
                        RADIUS proxy username
  --departmentnumber=STR
                        Department Number
  --employeenumber=STR  Employee Number
  --employeetype=STR    Employee Type
  --preferredlanguage=STR
                        Preferred Language
  --certificate=BYTES   Base-64 encoded user certificate
  --setattr=STR         Set an attribute to a name/value pair. Format is
                        attr=value. For multi-valued attributes, the command
                        replaces the values already present.
  --addattr=STR         Add an attribute/value pair. Format is attr=value. The
                        attribute must be part of the schema.
  --noprivate           Don't create user private group
  --all                 Retrieve and print all attributes from the server.
                        Affects command output.
  --raw                 Print entries as stored on the server. Only affects
                        output format.
  --no-members          Suppress processing of membership attributes.
}}}

Comment 1 Jan Cholasta 2016-08-17 12:39:14 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/4b43558b1c2301f40fea0afc8d9d5baf53aaaf6a

Comment 3 Jan Cholasta 2016-08-18 10:10:16 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/b6d5ed139b261b5db078ab652d22ea1d3b8092d3

Comment 5 Abhijeet Kasurde 2016-09-09 10:36:20 UTC
Created attachment 1199378 [details]
console.log

Comment 6 Abhijeet Kasurde 2016-09-09 10:37:07 UTC
Verified using IPA version ::
ipa-server-4.4.0-10.el7.x86_64

Marking BZ as verified.

Comment 8 errata-xmlrpc 2016-11-04 06:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.